/*   This file is part of IndustryConstructor, which is a GameScript for OpenTTD
 *   Copyright (C) 2013  R2dical
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
 
SELF_VERSION <- 1;

class TownConstructor extends GSInfo 
{
	function GetAuthor()		{ return "R2dical"; }
	function GetName()			{ return "Town Constructor"; }
	function GetDescription() 	{ return "Builds towns, SET MAP GEN TOWN COUNT TO CUSTOM = 1!"; }
	function GetVersion()		{ return SELF_VERSION; }
	function GetDate()			{ return "2013-07-25"; }
	function CreateInstance()	{ return "TownConstructor"; }
	function GetShortName()		{ return "RDTC"; }
	function GetAPIVersion()	{ return "1.4"; }
	function GetUrl()			{ return "http://www.tt-forums.net/viewtopic.php?f=65&t=67181"; }
	function GetSettings()
	{	
		 AddSetting
		 ({
			 name = "BUILD_TOWNS", 
			 description = "General: Build towns using algorithms?", 
			 easy_value = 1, 
			 medium_value = 1, 
			 hard_value = 1, 
			 custom_value = 1, 
			 flags = CONFIG_BOOLEAN
		 });
		AddSetting
		({
			name = "log_level", 
			description = "Debug: Log level (higher = print more)", 
			easy_value = 1, 
			medium_value =1, 
			hard_value = 1, 
			custom_value = 1, 
			flags = CONFIG_INGAME, 
			min_value = 1, 
			max_value = 4
		});	
		AddSetting
		({
			name = "DENSITY_TOWN_TOTAL", 
			description = "Density: Total towns", 
			easy_value = 60, 
			medium_value = 40, 
			hard_value = 20, 
			custom_value = 80, 
			flags = 0, 
			min_value = 5, 
			max_value = 100, 
			step_size = 5
		});
	}	
}

RegisterGS(TownConstructor());
